# Ogre::Node::Listener Class Reference

Listener which gets called back on Node events. More...

`#include <OgreNode.h>`

List of all members.

## Public Member Functions

| Listener ()
virtual | ~Listener ()
virtual void | nodeUpdated (const Node *)
| Called when a node gets updated.
virtual void | nodeDestroyed (const Node *)
| Node is being destroyed.
virtual void | nodeAttached (const Node *)
| Node has been attached to a parent.
virtual void | nodeDetached (const Node *)
| Node has been detached from a parent.

## Detailed Description

Listener which gets called back on Node events.

Definition at line 74 of file OgreNode.h.

## Constructor & Destructor Documentation

Ogre::Node::Listener::Listener | ( |  | ) |

Definition at line 77 of file OgreNode.h.

virtual Ogre::Node::Listener::~Listener | ( |  | ) | `[virtual]`

Definition at line 78 of file OgreNode.h.

## Member Function Documentation

virtual void Ogre::Node::Listener::nodeUpdated | ( | const Node * |  | ) | `[virtual]`

Called when a node gets updated.

Remarks:
  Note that this happens when the node's derived update happens, not every time a method altering it's state occurs. There may be several state-changing calls but only one of these calls, when the node graph is fully updated.

Definition at line 86 of file OgreNode.h.

virtual void Ogre::Node::Listener::nodeDestroyed | ( | const Node * |  | ) | `[virtual]`

Node is being destroyed.

Definition at line 88 of file OgreNode.h.

virtual void Ogre::Node::Listener::nodeAttached | ( | const Node * |  | ) | `[virtual]`

Node has been attached to a parent.

Definition at line 90 of file OgreNode.h.

virtual void Ogre::Node::Listener::nodeDetached | ( | const Node * |  | ) | `[virtual]`

Node has been detached from a parent.

Definition at line 92 of file OgreNode.h.

The documentation for this class was generated from the following file:

- OgreNode.h

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sat May 10 16:27:08 2008